Page 1 of 1

vmware-server and vmware-player fail to install

Posted: Mon Aug 27, 2007 2:09
by sepit
Both complain of a missing digest for vmware-any-any-update113. Has been logged as a bug #147890, but the response to the bug was:

You have outdated eclasses in your overlay.

Then on further questioning:

It probably means you have a local overlay with outdated eclass. I kept my
/usr/local/portage minimal and updated the rest of my overlay using layman or
gensync.

Now I have synced several times since and deleted and reinstalled all my overlays. Still get the same error. Any other suggestions?

TIA Brian

Re: vmware-server and vmware-player fail to install

Posted: Mon Aug 27, 2007 2:53
by navman
I just got vmware-server working on my system today and installed windowsXP in it. What I did was

Code: Select all

layman -d vmware
and installed vmware-server from portage. Vmmon wouldn't compile, but I ran module-rebuild rebuild and it rebuilt vmware modules. Then I ran config.pl and everything was fine. Hope that helps.

Re: vmware-server and vmware-player fail to install

Posted: Mon Aug 27, 2007 5:54
by sepit
Yes, vmware-server installs, but as specified it's vmware-workstation and vnware-player that fail to install.

thanks anyway
Brian